PATCH
/api/v1/support/adminAdmin: update a ticket's status / response
Admin-only — updates a ticket's status and/or admin response. ticketId required; status optional (enum); adminResponse optional. Setting status='resolved' stamps resolved_at/resolved_by.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/settings/api-keys.
Request body required
Example
{
"ticketId": "00000000-0000-0000-0000-000000000000",
"status": "open",
"adminResponse": "string"
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"ticketId"
],
"properties": {
"ticketId": {
"type": "string",
"format": "uuid"
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"resolved",
"closed"
]
},
"adminResponse": {
"type": "string"
}
}
}
}
}Response
200 example
{
"success": true
}All status codes
200Updated ticket.
400(no description)
401(no description)
403Forbidden — admin access required.
404Not Found — TICKET_NOT_FOUND.
409Conflict — CONFLICT.
429(no description)
500Internal Server Error — DB_ERROR.
Code samples
cURL
curl -X PATCH \
https://evalguard.ai/api/v1/support/admin \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "ticketId": "00000000-0000-0000-0000-000000000000", "status": "open", "adminResponse": "string" }'TypeScript
// The TypeScript SDK (@evalguard/sdk) exposes TYPED methods — runEval,
// getEval, runSecurityScan, checkFirewall, … — not a generic request().
// For an arbitrary endpoint, call it directly:
const res = await fetch("https://evalguard.ai/api/v1/support/admin", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.EVALGUARD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"ticketId": "00000000-0000-0000-0000-000000000000",
"status": "open",
"adminResponse": "string"
}),
});
console.log(res.status, await res.json());Python
# The Python SDK (pip install evalguardai) exposes TYPED methods on
# EvalGuardClient — run_eval, get_eval, … — not a generic request().
# For an arbitrary endpoint, call it directly:
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['EVALGUARD_API_KEY']}"}
headers["Content-Type"] = "application/json"
response = requests.request(
"PATCH",
"https://evalguard.ai/api/v1/support/admin",
headers=headers,
json={
"ticketId": "00000000-0000-0000-0000-000000000000",
"status": "open",
"adminResponse": "string"
},
)
print(response.status_code, response.json())Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"ticketId":"00000000-0000-0000-0000-000000000000","status":"open","adminResponse":"string"}`)
req, _ := http.NewRequestWithContext(context.Background(), "PATCH", "https://evalguard.ai/api/v1/support/admin", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403404409429500